summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2005-04-28 16:31:32 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2005-04-28 16:31:32 +0000
commitadd32958fc8d7c6a54d54c9f6d861ff40c91039c (patch)
tree2f04393c042375b7f268ed5113edb5709a2f6096 /tests
parentb1fdaf5ac762d11268d204df221051c737fdb0b3 (diff)
downloadcoreutils-add32958fc8d7c6a54d54c9f6d861ff40c91039c.tar.xz
Check for =xX bug.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/chmod/equal-x14
1 files changed, 8 insertions, 6 deletions
diff --git a/tests/chmod/equal-x b/tests/chmod/equal-x
index 76030e794..7b6fb781b 100755
--- a/tests/chmod/equal-x
+++ b/tests/chmod/equal-x
@@ -16,18 +16,20 @@ cd $tmp || framework_failure=1
file=f
touch $file || framework_failure=1
-chmod 444 $file || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
(exit 1); exit 1
fi
+fail=0
umask 005
-chmod =x $file
-case "`ls -l $file`" in
- ---x--x---*) fail=0 ;;
- *) fail=1; ls -l $file ;;
-esac
+for mode in =x =xX =Xx =x,=X =X,=x; do
+ chmod a=r,$mode $file || fail=1
+ case "`ls -l $file`" in
+ ---x--x---*) ;;
+ *) fail=1; echo "after \`chmod $mode $file':"; ls -l $file ;;
+ esac
+done
(exit $fail); exit $fail